/*
 * bit_vector.cpp
 *
 *  Created on: 2009/11/13
 *      Author: shu
 */

#include <string.h>
#include <stdint.h>
#include <algorithm>
#include "bit_vector.h"

using namespace std;


BitVector::BitVector
(
    uint32_t size
)
{
  blocks_ = NULL;
  size_ = size;
  blocks_size_ = (size_ + kBlockSize -1)/kBlockSize;

  if (blocks_size_ != 0) {
    blocks_ = new uint32_t[blocks_size_];
    memset(blocks_, 0, sizeof(uint32_t)*blocks_size_);
  }

}


BitVector::~BitVector
(
    // no parameter
)
{
  delete [] blocks_;
}



